%define __python %{__python3}

Name:           rhui-cds-plugin-mirror
Version:        1.0.1
Release:        1%{?dist}
Summary:        WSGI script acting as a trivial URL rewriter

Group:          Applications/System
License:        GPLv3+ and ASL 2.0
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python3-setuptools
Requires:       python36
Requires:       python3-gunicorn

%description
The sole purpose of this WSGI script is to return a single line
of text containing the incoming request URL path, where the
/pulp/mirror/ substring is replaced with the /pulp/content/,
so that the yum mirrorlist is happy.

%prep
%setup -q -n rhui-cds-plugin-mirror-%{version}

%build
pushd src
%py3_build
popd

%install
pushd src
%py3_install
popd
find $RPM_BUILD_ROOT -name '*.pyc' -delete
rm -f $RPM_BUILD_ROOT/usr/lib/python3.6/site-packages/rhui_cds_plugin/__init__.py

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhui_cds_plugin
%{python_sitelib}/rhui_cds_plugin_mirror-*.egg-info/*

%clean
rm -rf %{buildroot}

%changelog
* Wed Jul 21 2021 Sebastian Skracic <sskracic@redhat.com> 1.0.1-1
- new package built with tito

